{% extends 'base.html' %}

{% block header_text %}Your To-Do list{% endblock %}

{% block form_action %}{% url 'view_list' list.id %}{% endblock %}

{% block table %}
  <table id="id_list_table" class="table">
    {% for item in list.item_set.all %}
      <tr><td>{{ forloop.counter }}: {{ item.text }}</td></tr>
    {% endfor %}
  </table>
{% endblock %}
{% block extra_content %}
	{% if list.owner %}
		<p>List owner: <span id="id_list_owner">{{ list.owner.email }}</span><p>
	{% endif %}
	{% if user.email %}
		<form method="POST" action="{% url 'share_list' list.id %}">
			<span>Share this with a friend:</span>
			<input class="form-control" name="sharee" type="email" placeholder="your-friend@example.com" />
			{% csrf_token %}
		</form>
		{% if list.shared_with.count > 0 %}
			<ul>
			<span>List shared with:</span>
				{% for friend in list.shared_with.all %}
					<li class="list-sharee">
						{{ friend.email }}
					</li>
				{% endfor %}
			</ul>
		{% endif %}		
	{% endif %}
{% endblock %}